<?php

namespace Signteer\Web\Common\Ui\Renderer;

use Plainwork\Http\Request;
use Plainwork\Ui\Html;
use Signteer\Core\Model\SignupField;

final class SignupFieldRenderer
{
    public function __invoke(SignupField $field, Request $request)
    {
        $label = $field->getLabel();
        $id = $field->getId();

        $html = new Html();

        $ret = $html->textInput($id)->setLabel($label);

        return $ret;
    }
}
